Subject: bug#13021: 24.2.90; compile eval-after-load form

From: Stefan Monnier <[email-masked]>
Date: Wed, 28 Nov 2012 23:27:35 -0500

> I think it is a good idea to compile the form that is passed to
> eval-after-load.

I agree.  More to the point, I think it should be a macro so you don't
need to wrap the code in '(progn ...).

But changing it to a macro would not be backward compatible (you can
convert a macro to a function, like I did recently for kbd, but not
other way around).
I learned this when I tried to convert .... eval-after-load ;-) many
years ago.

IOW, I'm open to introducing a replacement for eval-after-load which
would be a macro, but under another name.

        Stefan